﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Visitas
{
    public partial class AdvicePool : System.Web.UI.Page
    {
        List<Bookings> listado = new List<Bookings>();       

        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
            SW_BKAdvice.WS_CapturaWEB_BKAdvice _lnvo_GetBKAdvice = new SW_BKAdvice.WS_CapturaWEB_BKAdvice();
            DataTable DTVessel = _lnvo_GetBKAdvice.FillVessel();


            List<object> dataVessel = new List<object>();
            foreach (DataRow dr in DTVessel.Rows)
            {
                dataVessel.Add(new { text = Convert.ToString(dr["strVesselName"]), value = Convert.ToString(dr["strVesselName"])});
            }

            var index = this.BookingGrd.Columns.FindIndex(col => col.Field == "strVesselNameCalathus");
            this.BookingGrd.Columns.ElementAt(index).DataSource = dataVessel;

        }

        private void BindDataSource()
        {


            listado = new List<Bookings>();

            SW_BKAdvice.WS_CapturaWEB_BKAdvice _lnvo_GetBKAdvice = new SW_BKAdvice.WS_CapturaWEB_BKAdvice();
            DataTable Dt = _lnvo_GetBKAdvice.FillBooking();


            foreach (DataRow dr in Dt.Rows)
            {

                listado.Add(new Bookings
                {
                    intBookingAdviceId = Convert.ToInt32(dr["intBookingAdviceId"]),
                    strBookingId = Convert.ToString(dr["strBookingId"]),
                    strPortText = Convert.ToString(dr["strPortText"]),
                    strCountryTxt = Convert.ToString(dr["strCountryTxt"]),
                    strPortId = Convert.ToString(dr["strPortId"]),
                    strCountryId = Convert.ToString(dr["strCountryId"]),
                    strVesselName = Convert.ToString(dr["strVesselName"]),
                    strVoyageExpoId = Convert.ToString(dr["strVoyageExpoId"]),
                    intVesselId = Convert.ToInt32(dr["intVesselId"]),
                    intVesselVoyageId = Convert.ToInt32(dr["intVesselVoyageId"]),
                    dtmETADate = Convert.ToDateTime(dr["dtmETADate"].ToString()),
                    strCustomerTxt = Convert.ToString(dr["strCustomerTxt"]),
                    intCustomerId = Convert.ToInt32(dr["intCustomerId"]),
                    intCustomBrokerId = Convert.ToInt32(dr["intCustomBrokerId"]),
                    strShippingLinetxt = Convert.ToString(dr["strShippingLinetxt"]),
                    intShippingLine = Convert.ToInt32(dr["intShippingLine"]),
                    strProductText = Convert.ToString(dr["strProductText"]),
                    intProductId = Convert.ToInt32(dr["intProductId"]),
                    intIMOCode = Convert.ToInt32(dr["intIMOCode"]),
                    intUNCode = Convert.ToInt32(dr["intUNCode"]),
                    strServiceType = Convert.ToString(dr["strServiceType"]),
                    blnIsValidBooking = Convert.ToBoolean(dr["blnIsValidBooking"]),
                    blnIsValidByShipper = Convert.ToInt32(dr["blnIsValidByShipper"]),
                    blnIsFromCalathus = Convert.ToInt32(dr["blnIsFromCalathus"]),
                    strBkAdviceCreatedBy = Convert.ToString(dr["strBkAdviceCreatedBy"]),
                    dtmABkAdviceCreationStamp = Convert.ToDateTime(dr["dtmABkAdviceCreationStamp"].ToString()),
                });
            }

            
            this.BookingGrd.DataSource = listado;
            
            this.BookingGrd.DataBind();
        }


       
        [Serializable]
        public class Bookings
        {
            public Bookings()
            {

            }
            public Bookings(int intBookingAdviceId, string strBookingId, string strPortText, string strCountryTxt, string strPortId, string strCountryId, string strVesselName, string strVoyageExpoId,
            int intVesselId, int intVesselVoyageId, DateTime dtmETADate, string strCustomerTxt, int intCustomerId, int intCustomBrokerId, string strShippingLinetxt, int intShippingLine, string strProductText,
            int intProductId, int intIMOCode, int intUNCode, string strServiceType, Boolean blnIsValidBooking, int blnIsValidByShipper, int blnIsFromCalathus, string strBkAdviceCreatedBy, DateTime dtmABkAdviceCreationStamp)
            {
                this.intBookingAdviceId = intBookingAdviceId;
                this.strBookingId = strBookingId;
                this.strPortText = strPortText;
                this.strCountryTxt = strCountryTxt;
                this.strVesselName = strVesselName;
                this.strVoyageExpoId = strVoyageExpoId;
                this.intVesselId = intVesselId;
                this.intVesselVoyageId = intVesselVoyageId;
                this.dtmETADate = dtmETADate;
                this.strCustomerTxt = strCustomerTxt;
                this.intCustomerId = intCustomerId;
                this.intCustomBrokerId = intCustomBrokerId;
                this.strShippingLinetxt = strShippingLinetxt;
                this.intShippingLine = intShippingLine;
                this.strProductText = strProductText;
                this.intProductId = intProductId;
                this.intIMOCode = intIMOCode;
                this.intUNCode = intUNCode;
                this.strServiceType = strServiceType;
                this.blnIsValidBooking = blnIsValidBooking;
                this.blnIsValidByShipper = blnIsValidByShipper;
                this.blnIsFromCalathus = blnIsFromCalathus;
                this.dtmABkAdviceCreationStamp = dtmABkAdviceCreationStamp;

            }
            public int intBookingAdviceId { get; set; }
            public string strBookingId { get; set; }
            public string strPortText { get; set; }
            public string strCountryTxt { get; set; }
            public string strPortId { get; set; }
            public string strCountryId { get; set; }
            public string strVesselName { get; set; }
            public string strVoyageExpoId { get; set; }
            public int intVesselId { get; set; }
            public int intVesselVoyageId { get; set; }
            public DateTime dtmETADate { get; set; }
            public string strCustomerTxt { get; set; }
            public int intCustomerId { get; set; }
            public int intCustomBrokerId { get; set; }
            public string strShippingLinetxt { get; set; }
            public int intShippingLine { get; set; }
            public string strProductText { get; set; }
            public int intProductId { get; set; }
            public int intIMOCode { get; set; }
            public int intUNCode { get; set; }
            public string strServiceType { get; set; }
            public Boolean blnIsValidBooking { get; set; }
            public int blnIsValidByShipper { get; set; }
            public int blnIsFromCalathus { get; set; }
            public string strBkAdviceCreatedBy { get; set; }
            public DateTime dtmABkAdviceCreationStamp { get; set; }

        }


    }
}